/*  tilp - link program for TI calculators
 *  Copyright (C) 1999, 2000  Romain Lievin
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef __TIFFEP_TIVARS__
#define __TIFFEP_TIVARS__

#include "tiffep.h"

#include "ti_vars_82.h"
#include "ti_vars_83.h"
#include "ti_vars_85.h"
#include "ti_vars_86.h"
#include "ti_vars_92.h"
#include "ti_vars_xx.h"


/*********************/
/* Convenient macros */
/*********************/

/* See ti_files.h */
/*
#define FILEINFO_FILENAME(x)  ((x)->filename) ...

#define VARINFO_PATH(x)       ((x)->var_path) ...
*/

/***********************/
/* Available functions */
/***********************/

TIEXPORT
TiffepVarInfo* tiffep_alloc_vi_struct(void);
TIEXPORT
int tiffep_free_vi_struct(TiffepVarInfo **vi);
TIEXPORT
TiffepVarInfo* tiffep_dup_vi_struct(TiffepVarInfo *vi);
TIEXPORT
TiffepVarInfo* tiffep_clear_vi_struct(TiffepVarInfo *vi);
TIEXPORT
int tiffep_print_vi_struct(TiffepVarInfo *vi);

TIEXPORT
int tiffep_add_vi_struct(TiffepFileInfo *fi, TiffepVarInfo *vi);
TIEXPORT
int tiffep_update_vi_offset(TiffepFileInfo *fi);

TIEXPORT
int tiffep_load_var_content_as_string(TiffepVarInfo *vi, VarString *vs);
TIEXPORT
int tiffep_save_var_content_as_string(TiffepVarInfo *vi, VarString *vs);

#endif
